/* Paramètres généraux */
@font-face {
  font-family: "font-reg";
  src: url(../fonts/PlayfairDisplay-Regular.ttf);
}
@font-face {
  font-family: "font-bold";
  src: url(../fonts/PlayfairDisplay-ExtraBold.ttf);
}



:root {
  --size: 14vw;
  --size2: 11vw;
}
* {
  padding: 0;
  margin: 0;
  user-select: none;
}

*::selection {
  background: #000101;
  color: #000101;
  user-select: none;
  /*color: #fefeff;*/
}

html {
  scroll-behavior: smooth;
  
}
body {
  font-family: "font-reg", serif;
  background: #000101;
  color: #fefeff;
  transition: 0.7s ease-in-out;  
  /*animation: hautdubody 2s 7s forwards;/*-----------------------------------------------------------------------------------------------------*/
}
/*
@keyframes hautdubody {
	from {
    padding-top: 0;
  }
	to {
    padding-top: 56px;
  }
}
*/
.opaque {
  opacity: 0;
}
.links {
  position: fixed;
  top: -200px;
  width: 100%;
  height: 56px;
  z-index: 3;
  opacity: 0;
  justify-content: space-between;
  display: flex;
  animation: apparitionNav 2s 7s forwards;/*-----------------------------------------------------------------------------------------------------*/
}

.opacitelinks{
  opacity: 0;
}

@keyframes apparitionNav {
	from {
    opacity: 0;
  }
	to {
    opacity: 1;
    z-index: 6000;
    top: 0px;
    position: fixed;
  }
}







.wrapper {
  perspective: 900px;
  z-index: 3;
}
.appear {
  opacity: 0;
  transform: translateY(100%) rotateX(-80deg);
  transform-origin: top center;
  transform-style: preserve-3d;
  z-index: 3;
  transition: 0.8s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.appear_maphoto {
    opacity: 0;
    transform: translateY(100%) rotateX(-80deg);
    transform-origin: top center;
    transform-style: preserve-3d;
    transition: 0.8s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.appear.is-inview {
  transition-delay: 1s;
  z-index: 3;
  opacity: 1;
  transform: none;
}

.appear_maphoto.is-inview {
  transition-delay: 0s;
  opacity: 1;
  transform: none;
}

.dessinfluid {
  opacity: 0.9;
  position: relative;
  width: 100%;
  height: 100%;
  left: auto;
  top: 10px;
}

canvas {
  opacity: 1;
  position: relative;
  width: 100%;
  height: 100%;
  left: auto;
  top: -15px;
}


/*----------------------------------------CUBE2------------------------------------------------*/
.cube2{
  position: relative;
  margin: 0 auto 80px;
  z-index:20;
  width:var(--size2);
  height:var(--size2);
  transform-style: preserve-3d;
  /* transform: rotateY(30deg) rotateZ(30deg) rotateX(0deg); */
  animation: spincube 20s infinite linear;
}


.cube2:hover {
  animation: spincube 1.5s infinite linear 
}
.container {
  position: absolute;
  top: 40%;
}
.slot{
  position: relative;
  top: 350px;
  left: 50vw;
  perspective: 1000px;
}
.slot div {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  position: absolute;
  top: 40%;
  left: 0;
  user-select: none;
}


.side2{
  position:absolute;
  opacity: 1;
  width:var(--size2);
  height:var(--size2);;
}
#front2{
  background: url(../media/basic-pics/cube2coutdelaisqualite.PNG) no-repeat center/cover;
  transform: translateZ(calc(var(--size2) / 2)); 
}
#top2{
  background: url(../media/basic-pics/cube2money.PNG) no-repeat center/cover;
  transform: rotateX(-270deg) translateY(calc(-1 * ( var(--size2) / 2 ) ) );
  transform-origin: top center;
}
#bottom2{
  background: url(../media/basic-pics/cube2temps.PNG) no-repeat center/cover;  
  transform: rotateX(270deg) translateY(calc( var(--size2) / 2) );
  transform-origin: bottom center; 
}
#right2{
  background: url(../media/basic-pics/cube2managementdeprojet.PNG) no-repeat center/cover;
  transform: rotateY(-270deg) translateX(calc( var(--size2) / 2) );
  transform-origin: top right;
}
#left2{
  background: url(../media/basic-pics/cube2managementdeprojet.PNG) no-repeat center/cover;
  transform: rotateY(270deg) translateX(calc(-1 * ( var(--size2) / 2 ) ));
  transform-origin: center left;
}
#back2{
  background: url(../media/basic-pics/cube2coutdelaisqualite.PNG) no-repeat center/cover;
  transform: rotateY(-180deg) translateZ(calc(( var(--size2) / 2 ) ));
}


/*----------------------------------------Fin CUBE2------------------------------------------------*/

/*----------------------------------------CUBE 3------------------------------------------------*/
.cube3{
  position: relative;
  margin: 400px auto 100px;
  width:var(--size2);
  height:var(--size2);
  transform-style: preserve-3d;
  z-index: 20;
  /* transform: rotateY(30deg) rotateZ(30deg) rotateX(0deg); */
  animation: spincube 20s infinite linear;
}

.cube3:hover {
  animation: spincube 1.5s infinite linear 
}

.side3{
  position:absolute;
  opacity: 1;
  width:var(--size2);
  height:var(--size2);;
}
#front3{
  background: url(../media/basic-pics/technique.PNG) no-repeat center/cover;
  transform: translateZ(calc(var(--size2) / 2)); 
}
#top3{
  background: url(../media/basic-pics/cube2IT2.PNG) no-repeat center/cover;
  transform: rotateX(-270deg) translateY(calc(-1 * ( var(--size2) / 2 ) ) );
  transform-origin: top center;
}
#bottom3{
  background: url(../media/basic-pics/cube2IT2.PNG) no-repeat center/cover;  
  transform: rotateX(270deg) translateY(calc( var(--size2) / 2) );
  transform-origin: bottom center; 
}
#right3{
  background: url(../media/basic-pics/cube2thermique.PNG) no-repeat center/cover;
  transform: rotateY(-270deg) translateX(calc( var(--size2) / 2) );
  transform-origin: top right;
}
#left3{
  background: url(../media/basic-pics/mecanique.PNG) no-repeat center/cover;
  transform: rotateY(270deg) translateX(calc(-1 * ( var(--size2) / 2 ) ));
  transform-origin: center left;
}
#back3{
  background: url(../media/basic-pics/technique.PNG) no-repeat center/cover;
  transform: rotateY(-180deg) translateZ(calc(( var(--size2) / 2 ) ));
}


/*----------------------------------------Fin CUBE3------------------------------------------------*/



#lignesouscarroussel{
  margin-top: 38vh;
}


h2 {
  font-size: calc(3rem + 5vw);
  text-align: center;
  color: rgb(217, 217, 217);
  font-family: "font-bold", serif;
  letter-spacing: 3px;
}
.title {
  font-size: calc(1.5rem + 5vw);
  letter-spacing: 0;
}

span {
  display: inline-block;
}

a:-webkit-any-link {
  cursor: none;
}





.links a,
a:visited {
  position: relative;
  text-decoration: none;
  color: #fefeff;
  transition: 0.1s linear;
  font-size: calc(0.8rem + 0.8vw);
}
.links a::after {
  content: "";
  position: absolute;
  width: 100%;
  background: #fefeff;
  height: 1px;
  bottom: -4px;
  left: 0;
  transform-origin: left;
  top: 40px;
}
.linksa:hover {
  transform: scale(1.04);
  color: rgb(217, 217, 217);
}
.links a:hover::after {
  animation: animLink 1.4s infinite ease-in-out;
}
@keyframes animLink {
  50% {
    transform: scaleX(0.2);
  }
  100% {
    transform: scaleX(1);
  }
}
.img {
  height: 395px;
  width: 100vw;
  max-width: 395px;
  margin: 0 auto;
  filter: grayscale(100%);
  transition: 1.6s;
}


.img:hover {
  filter: grayscale(10%);
}
.line {
  height: 2px;
  width: 70%;
  margin: 0 auto;
  background: #000101;
  transition: 1s cubic-bezier(0.77, 0, 0.18, 1);
  transition-delay: 0.45s;
  opacity: 0;
  transform: scaleX(0);
}
.line2 {
  height: 2px;
  width: 70%;
  margin: 300px auto 0;
  background: #fefeff;
  transition: 1s cubic-bezier(0.77, 0, 0.18, 1);
  transition-delay: 0.45s;
  opacity: 0;
  transform: scaleX(0);
}
.line-wrapper.is-inview .line {
  opacity: 1;
  transform: scaleX(1);
}

/* Paramètres par ordre d'apparition */
header {
  height: 100vh;
  position: relative;
  
}





#h1-wrapper {
  transition-delay: 0.3s;
}
h1 {
  font-size: calc(2rem + 8vw);
  margin-top: 70px;
  font-family: "font-bold", serif;
  letter-spacing: 6px;
  color: #fefeff;
}
header h2 {
  font-size: calc(1rem + 6.5vw);
  margin: 18px 0;
  text-align: left;
  position: absolute;
}
#h2-1 {
  transition-delay: 0.9s;
}
#h2-2 {
  transition-delay: 1.2s;
}
.scroll-wrapper {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 3.5vw;
  color: rgb(217, 217, 217);
  font-size: calc(0.8rem + 0.5vw);
}
.about {
  margin: 0px 0 100px;
}
/*
.about:hover body{
  
}*/

.img1 {
  position: absolute;
  top: 10%;
  right: 10%;
  max-width: 400px !important;
  background: url(../media/basic-pics/photocvretournée.png) top/cover;
}

.h4-wrapper2 {
  user-select: none;
  position: absolute;
  top: 27vh;
  width: 40vw;
  left: 30%;
  mix-blend-mode: exclusion;
  text-align: center;
  font-size: calc(1rem + 2vw);
}
.h4-wrapper3 {
  user-select: none;
  position: absolute;
  width: 50vw;
  left: 25%;
  z-index: 3;
  /*mix-blend-mode: exclusion;*/
  text-align: center;
  /*margin-top: 500px;*/
  font-size: calc(1rem + 1.5vw);
  transform: translate(0,-210px);
}

.h2-wrapper {
  mix-blend-mode: exclusion;
  margin-top: 500px;
}
.about p {
  
  width: 42%;
  min-width: 280px;
  text-align: left;
  margin: 0 0 0 6%;
  line-height: calc(7px + 4.5vw);
  font-size: calc(1rem + 1vw);
  letter-spacing: 1px;
}
.skills {
  margin: 150px 0 150px;
}
.skills h2 {
  margin-bottom: 140px;
}
.skills .wrapper {
  margin: 30px 0;
}
.skills .appear {
  text-align: center;
  transition-delay: 0.6s;
}
/*
.skills p {
  font-size: calc(1rem + 6vw);
  font-family: "font-bold", serif;
  letter-spacing: 4px;
  background: #000101;
  color: #fefeff;
  display: inline-block;
  padding: 0 12px 12px;
}
*/
.portfolio {
  margin: 200px 0;
}
.projects-container {
  margin-top: 100px;
}
.project {
  position: relative;
  width: 60vw;
  max-width: 600px;
  margin: 50px 5vw;
}
.project::before {
  content: "";
  position: absolute;
  height: 110%;
  width: 100%;
  top: -3px;
  background: #fefeff;
  transition: width 1s ease-out;
  transition-delay: 0.85s;
}
.project.is-inview::before {
  width: 0;
}
#p2 {
  margin: 0 6vw 0 auto;
}
#p3 {
  margin-left: 8vw;
}
.project img {
  transition: 0.4s ease-out;
  width: 100%;
}
.project:hover img {
  filter: brightness(20%);
}
.project:hover .project-infos {
  opacity: 1;
  transform: translate(0, -50%);
}
.project-infos {
  position: absolute;
  top: 50%;
  transform: translate(-50px, -50%);
  margin-left: 8vw;
  transition: 0.4s ease-out;
  opacity: 0;
}
.project-infos a {
  font-size: calc(1rem + 3vw);
}
.project-infos p {
  font-size: 2rem;
  margin-top: 1.5vw;
  color: #fefeff;
}
footer {
  position: relative;
  margin: 150px 0 120px;
}
footer p {
  font-size: calc(1rem + 2vw);
  margin: 25px 0;
  text-align: center;
}
#footerl1 {
  transition-delay: 0.5s;
}
#footerl2 {
  transition-delay: 1.9s;
}
#footerl3 {
  transition-delay: 2.2s;
}

footer a {
  font-family: "font-bold", serif;
  color: #000101;
  font-size: calc(1rem + 2vw);
}


#derniercube {
  transition-delay: 2.9s;
}


@keyframes spincube {
	from {
    transform: rotateY(0) rotateZ(0) rotateX(0);  
  }
	to {
    transform: rotateY(360deg) rotateZ(360deg) rotateX(360deg);
  }
}

/*----------------------------------------Fin CUBE4------------------------------------------------*/
.fondnoir {
  position: relative;
  background: #000101;
  top: -800px;
  height: 1000px;
  width: 100%;
  z-index: 2;
}
.fondrouge {
  position: absolute;
  background: red;
  top: 900px;
  height: 300px;
  width: 100%;
  z-index: 5;
}
.fondbleu {
  position: absolute;
  background: #000101;
  bottom: 0px;
  height: 700px;
  width: 100%;
  z-index: 5;
}


.h4-wrapper4 {
  user-select: none;
  position: absolute;
  width: 50vw;
  left: 25%;
  z-index: 3;
  /*mix-blend-mode: exclusion;*/
  text-align: center;
  /*margin-top: 500px;*/
  font-size: calc(1rem + 1.5vw);
  transform: translate(0,120px);
}

.h4-wrapper5 {
  user-select: none;
  position: absolute;
  width: 20vw;
  left: 25%;
  z-index: 3;
  background-color: #000101;
  mix-blend-mode: exclusion;
  text-align: center;
  /*margin-top: 500px;*/
  font-size: calc(1rem + 3vw);
  transform: translate(0,-700px);
}


.ensemble {
  position: relative;
  height: 1000px;
}


.zindex3 {
  z-index: 3;
}


.pmoskillsgauche{
  position: relative;
  left: 1vw;
  top: 400px;
  font-size: 2.5vw;
  color: #fefeff;
}
.pmoskillsdroite{
  position: relative;
  left: 84vw;
  top: 342px;
  font-size: 2.5vw;
  color: #fefeff;
}
.technicalskillsgauche{
  position: relative;
  left: 1vw;
  top: 900px;
  font-size: 2.5vw;
  color: #fefeff;
}
.technicalskillsdroite{
  position: relative;
  left: 75vw;
  top: 835px;
  font-size: 2.5vw;
  color: #fefeff;
}




@media screen and (max-width:768px) {
  .nabilfumee {
    display: none;
  }
  .pmoskillsgauche{
    display: none;
  }
  .pmoskillsdroite{
    display: none;
  }
  .technicalskillsgauche{
    display: none;
    
  }
  .technicalskillsdroite{
    display: none;
  }
  .img1 {
    display: none;
  }
  
}

